Skip to content

Set the value of the custom field

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If this document description is incorrect, please refer to the V3 API.

Set the value of the custom field for the user, role or department. If it exists, update it, and if it does not exist, create it.

Method name

ManagementClient.setCustomData

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a SetCustomDataDto[]Yes-Custom data list Array length limit: 50.
targetIdentifierstringyes-Unique identifier of the target object:
- If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If it is a role, it is the role's code, such as admin
- If it is a group, it is the group's code, such as developer
- If it is a department, it is the department's ID, such as 6343bafc019xxxx889206c4c
userId1
targetTypestringyes-Target object type:
- USER: user
- ROLE: role
- GROUP: group
- DEPARTMENT: department
USER
tenantIdstringno-Tenant ID642c1df417c2d8a80d744c1d
namespacestringNo-The code of the permission group. It needs to be filled in when target_type is role, otherwise it can be ignoreddefault

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.setCustomData({
    targetType: Models.CustomFieldDto.targetType.USER,
    targetIdentifier: "userId1",
    namespace: "default",
    list: [
      {
        key: "school",
        value: "pku",
      },
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure

SetCustomDataDto

NameTypeIs it requiredDescriptionSample value
tenantIdstringNoTenant ID642c1df417c2d8a80d744c1d
keystringYesField key, cannot conflict with the key of built-in fieldsschool
valuestringYesCustom data, can be of any type, but must match the custom field type defined when creating, otherwise the setting will failpku

IsSuccessDto

NameTypeIs it requiredDescriptionSample value
successbooleanYesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.